/*
****************************************************************************
* Radar Ultrasuoni ver 1.0                                                 *
* con Arduino Uno (software ver. 1.0.1) e Processing (software ver. 2.0b7) *
* By Ermes ZANNONI                                                         *
* http://www.zannoni.to.it                                                 *
****************************************************************************
*/

#include <Servo.h>

Servo myservo;

int angolo_step = 2;
int angolo_iniziale = 120;
int servo_pin = 2;
int trigger = 7;
int echo = 8;
float durata, distanza;

void setup()
{
  Serial.begin(9600);
  myservo.attach(servo_pin);
  pinMode(trigger, OUTPUT);
  pinMode(echo, INPUT);
}

void loop()
{
  
  // Movimento servo motore
  if(Serial.available())
  {
    int pos=Serial.read();
    myservo.write(angolo_iniziale-pos*angolo_step);
  }
  
  // Misura della distanza e trasmissione dati in seriale
  delay(40);
  digitalWrite(trigger, LOW);	
  digitalWrite(trigger, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigger, LOW);        
  durata = pulseIn(echo, HIGH);       
  distanza = durata / 57.5;
  Serial.println(distanza);
  
}

